Tuples.Value (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3

## Class Tuples.Value

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Terminal
  - - org.apache.cassandra.cql3.Term.MultiItemTerminal
    - - org.apache.cassandra.cql3.Tuples.Value

- All Implemented Interfaces:
    Term
  Enclosing class:
    Tuples

      public static class Tuples.Value
      extends Term.MultiItemTerminal

  A tuple of terminal values (e.g (123, 'abc')).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

      `Term.MultiColumnRaw, Term.MultiItemTerminal, Term.NonTerminal, Term.Raw, Term.Terminal`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.nio.ByteBuffer[]` | `elements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Value(java.nio.ByteBuffer[] elements)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Tuples.Value` | `fromSerialized(java.nio.ByteBuffer bytes, TupleType type)`
    `java.nio.ByteBuffer` | `get(int protocolVersion)`
    `java.util.List<java.nio.ByteBuffer>` | `getElements()`

    - ### Methods inherited from class org.apache.cassandra.cql3.Term.Terminal

      `bind, bindAndGet, collectMarkerSpecification, containsBindMarker, getFunctions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elements

          public final java.nio.ByteBuffer[] elements

  - ### Constructor Detail

    - #### Value

          public Value(java.nio.ByteBuffer[] elements)

  - ### Method Detail

    - #### fromSerialized

          public static Tuples.Value fromSerialized(java.nio.ByteBuffer bytes,
                                                    TupleType type)

    - #### get

          public java.nio.ByteBuffer get(int protocolVersion)

      Specified by:
        `get` in class `Term.Terminal`
      Returns:
        the serialized value of this terminal.

    - #### getElements

          public java.util.List<java.nio.ByteBuffer> getElements()

      Specified by:
        `getElements` in class `Term.MultiItemTerminal`

Copyright © 2018 The Apache Software Foundation